> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/editing-page-content/stamp.md).

# Adding a stamp to PDFs on iOS

Stamp PDF pages with text, images, or other PDF pages using Apryse SDK. Learn how to embed fonts, copy graphical elements, and add watermarks easily. Explore Stamper for efficient PDF content stamping

A stamp in a PDF document is analogous to applying a rubber stamp on a paper document.

Apryse SDK benefits include:

* Stamp PDF pages with text, images, or with other PDF pages.
* Embed fonts and images, and copy graphical elements from one page to another.

## Use Stamper to stamp content (text, image, PDF page)

To stamp text, image, and a PDF page to a PDF document.

{% tabs %}
{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
PTPDFDoc *doc = [[PTPDFDoc alloc] initWithFilepath: filename];
PTStamper *s = [[PTStamper alloc] initWithSize_type: e_ptrelative_scale a: 0.05 b: 0.05];

// Specifies if the stamp is to be stamped as an annotation.
// note that stamps created with this setting do not work with SetAsBackground, HasStamps, and DeleteStamps, if annotation is true.
//[s SetAsAnnotation: YES];

[s SetAlignment: e_pthorizontal_right vertical_alignment: e_ptvertical_bottom];
[s SetAlignment: e_pthorizontal_center vertical_alignment: e_ptvertical_top];
[s SetFont: [PTFont Create: [doc GetSDFDoc] type: e_ptcourier embed: YES]];
PTColorPt *red = [[PTColorPt alloc] initWithX: 1 y: 0 z: 0 w: 0];
[s SetFontColor: red]; //set color to red
[s SetTextAlignment: e_ptalign_right];
[s SetAsBackground: YES]; //set text stamp as background
PTPageSet *ps = [[PTPageSet alloc] initWithRange_start: 1 range_end: 2 filter: e_ptall];
[s StampText: doc src_txt: @"This is a title!" dest_pages: ps];

PTImage *img = [PTImage Create: [doc GetSDFDoc] filename: imagename];
[s SetAsBackground: NO]; // set image stamp as foreground
PTPageSet *first_page_ps = [[PTPageSet alloc] initWithOne_page: 1];
[s StampImage: doc src_img: img dest_pages: first_page_ps];

PTPDFDoc *src_doc = [[PTPDFDoc alloc ] initWithFilepath: src_filename];
PTPage *src_page = [src_doc GetPage: 1];
[s StampPage: doc src_page: src_page dest_pages: ps];
```

{% endcode %}
{% endtab %}

{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
let doc: PTPDFDoc = PTPDFDoc(filepath: filename)
let s: PTStamper = PTStamper(size_type: e_ptrelative_scale, a: 0.05, b: 0.05)

// Specifies if the stamp is to be stamped as an annotation.
// note that stamps created with this setting do not work with SetAsBackground, HasStamps, and DeleteStamps, if annotation is true.
//s.setAsAnnotation(true)

s.setAlignment(e_pthorizontal_right, vertical_alignment: e_ptvertical_bottom)
s.setAlignment(e_pthorizontal_center, vertical_alignment: e_ptvertical_top)
s.setFont(PTFont.create(doc.getSDFDoc(), type: e_ptcourier, embed: true))
let red = PTColorPt(x: 1, y: 0, z: 0, w: 0)
s.setFontColor(red) //set color to red
s.setTextAlignment(e_ptalign_right)
s.setAsBackground(true) //set text stamp as background
let ps = PTPageSet(range_start: 1, range_end: 2, filter: e_ptall)
s.stampText(doc, src_txt: "This is a title!", dest_pages: ps)

let img = PTImage.create(doc.getSDFDoc(), filename: imagename)
s.setAsBackground(false)    // set image stamp as foreground
let first_page_ps = PTPageSet(one_page: 1)
s.stampImage(doc, src_img: img, dest_pages: first_page_ps)

let src_doc: PTPDFDoc = PTPDFDoc(filepath: src_filename)
let src_page: PTPage = src_doc.getPage(1)
s.stampPage(doc, src_page: src_page, dest_pages: ps)
```

{% endcode %}
{% endtab %}
{% endtabs %}

[Stamp a PDF File](/ios/get-started/samples.md#stamper) Full code sample which shows how to stamp PDF pages with text, images, or with other PDF pages and how to add new content (or watermark).

## About Stamper

Stamper can be used for PDF pages with text, images, or with other PDF content in only a few lines of code. Although Stamper is very simple to use compared to ElementBuilder/ElementWriter it is not as powerful or flexible. In case you need full control over PDF creation use ElementBuilder/ElementWriter to add new content to existing PDF pages as shown in the [ElementBuilder sample project ](/ios/get-started/samples.md#elementbuilder).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/editing-page-content/stamp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
